Subject: Re: [PATCH] net: fec: fix enet_out clock handling

From: Andrew Lunn <[email-masked]>
Date: Sat, 28 Nov 2015 17:43:37 +0100

> When MAC is not ready with clocks disabled, it is not necessary to
> supply clock for PHY. In fact, PHY also is not ready, why does it
> need clock ?

How about the case of the "PHY" is actually a switch? You can use the
MDIO bus separate from the MAC, you can configure the switch while the
MAC is down, etc. Packets can be flowing in and out of switch ports,
while the MAC is down. You only need the MAC up when the host wants to
send packets.

     Andrew